> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remap User ID

> This endpoint allows partners to re-assign their partner-defined user ID.

## Path Parameters

<ParamField path="user_id" required type="string">
  The old `id`.
</ParamField>

## Body Parameters

<ParamField body="id" required type="string">
  The new `id`.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  // This code example will be added soon
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
     "user": {
        "id": "U-39XBF7",
        "birthdate": "1959-07-17",
        "gender": "MALE",
        "first_name": "John",
        "guid": "USR-c4321d57a-9ae4-1fe3-6c4e-96a84fb92b50",
        "last_name": "Smith",
        "metadata": "Additional Information",
        "credit_score": 718,
        "email": "example@example.com",
        "phone": "(505) 555-1234",
        "zip_code": "87101",
        "is_disabled": false,
        "logged_in_at": null
     }
  }
  ```
</ResponseExample>
